Bug 8194 - Layout problem on subscription add when showing manual history
Summary: Layout problem on subscription add when showing manual history
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-06 07:07 UTC by David Cook
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot showing possible problem (36.96 KB, image/png)
2012-06-12 16:27 UTC, Owen Leonard
Details
Screenshot of interim solution (69.14 KB, image/png)
2012-06-12 23:39 UTC, David Cook
Details
Bug 8194 - Layout problem on subscription add when showing manual history (2.50 KB, patch)
2012-06-15 15:05 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8194 - Layout problem on subscription add when showing manual history (2.54 KB, patch)
2012-06-17 08:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2012-06-06 07:07:32 UTC
The serials planning / subscription form planning DIV isn't being floated to the right as it should.

One solution would be to force the subscription DIV to be be longer, but I'm sure that there is likely a better solution...
Comment 1 Owen Leonard 2012-06-12 16:27:26 UTC
Created attachment 10252 [details]
Screenshot showing possible problem

I see that when "manual history" is enabled the serials planning block is pushed to the right instead of down.

Is this the problem you're seeing?
Comment 2 David Cook 2012-06-12 23:39:48 UTC
Created attachment 10255 [details]
Screenshot of interim solution

Yes, Owen. That is precisely the problem that I was seeing. 

It isn't much of an issue at present for us (see attached screenshot), since we added the tiny mce editor class to the OPAC and Nonpublic notes, which forced the Subscription details block to be longer and the other blocks to float to the right. However, I think that's more a coincidental, interim fix than a real solution.
Comment 3 Owen Leonard 2012-06-15 15:05:02 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2012-06-17 08:05:29 UTC
Created attachment 10328 [details] [review]
[SIGNED-OFF] Bug 8194 - Layout problem on subscription add when showing manual history

Markup errors were causing display problems when the "manual history"
section is shown.

To test, apply the patch, load the subscription add page, and check
the "manual history" checkbox. The "Serials planning" section
should appear directly below the "manual history" section.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely.
Comment 5 Ian Walls 2012-06-20 18:55:13 UTC
Template only change, moving <div> boundaries around.  Marking Passed QA.
Comment 6 Chris Cormack 2012-06-25 23:44:13 UTC
Pushed to 3.8.x will be in 3.8.3